.nav {
    font-family: inherit;
    display: flex;
    gap: 1.2rem;
    justify-content: space-between;
    align-items: center;
    padding: 1.2rem 2.4rem;
    height: 8rem;
    ;

    /* Dodane dla stabilności mobilnej */
    background-color: #fff;
    position: relative;
    z-index: 1000;
}

.logo {
    height: 3.6rem;
}

.logo img {
    height: 100%;
}

.nav-links ul {
    display: flex;
    gap: 1.6rem;
    list-style: none;
}

.nav-links li {
    font-size: 1.4rem;
    font-weight: 500;
}

.nav-links a {
    text-decoration: none;
    color: inherit;
}

.nav-links a:hover {
    color: #1357B6;
    transition: color 0.3s ease-in-out;
}

.nav-links a:active {
    color: #1357B6;
}

.btn-cta-nav {
    background-color: #1357B6;
    color: #fff !important;
    padding: 1.2rem 2.4rem;
    border-radius: 6px;
    transition: background-color 0.3s ease-in-out;
}

.btn-cta-nav:hover {
    background-color: #276DCD;
    transition: background-color 0.3s ease-in-out;
}

.btn-cta-nav:active {
    background-color: #1357B6;
}

/* ============================================================
   MOBILE NAVIGATION
   ============================================================ */

.btn-mobile-nav {
    display: none;
    border: none;
    background: none;
    cursor: pointer;
    padding: 0.8rem;
    width: 4.8rem;
    height: 4.8rem;
    position: relative;
    z-index: 1002;

    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 0.6rem;
}

.btn-mobile-nav span {
    display: block;
    width: 3.2rem;
    height: 0.3rem;
    background-color: #333;
    border-radius: 999px;
    transition: all 0.3s ease;
}

.nav.nav-open .btn-mobile-nav span:nth-child(1) {
    transform: translateY(0.9rem) rotate(45deg);
}

.nav.nav-open .btn-mobile-nav span:nth-child(2) {
    opacity: 0;
}

.nav.nav-open .btn-mobile-nav span:nth-child(3) {
    transform: translateY(-0.9rem) rotate(-45deg);
}

.no-scroll {
    overflow: hidden;
}

/* ============================================================
   STICKY NAVIGATION
   ============================================================ */

.sticky .nav {
    position: fixed;
    top: 0;
    width: 100%;
    height: 8rem;
    padding-top: 0;
    padding-bottom: 0;
    background-color: rgba(255, 255, 255, 0.97);
    z-index: 9999;
    box-shadow: 0 1.2rem 3.2rem rgba(0, 0, 0, 0.03);
    border-bottom: 1px solid #e9ecef;
    backdrop-filter: blur(10px);
    -webkit-backdrop-filter: blur(10px);
    transition: all 0.3s ease;
}

.sticky .logo {
    height: 3.6em;
    transition: all 0.3s ease;
}